Subject: pkg/32709: add builtin support for openldap
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 02/02/2006 20:20:00
>Number:         32709
>Category:       pkg
>Synopsis:       add builtin support for openldap
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Thu Feb 02 20:20:00 +0000 2006
>Originator:     Juha-Matti Liukkonen
>Release:        Mac OS X 10.4.4
Ascia Oy
Darwin 8.4.0 Darwin Kernel Version 8.4.0: Tue Jan  3 18:22:10 PST 2006; root:xnu-792.6.56.obj~1/RELEASE_PPC Power Macintosh powerpc

Mac OS X comes with openldap built in. It would be nice to PREFER_NATIVE=openldap.

A patch in <> adds to openldap. It doesn't fix the problem completely though, as openldap's buildlink3 considers anything <2.3 too old, and Mac OS X comes with 2.2.19; not knowing the reason to the 2.3 requirement I don't dare to submit a patch to "fix" that issue.